## ros-foxy-control-toolbox 2.2.0

=== debian/changelog ===
ros-foxy-control-toolbox (2.2.0-1focal) focal; urgency=high

  * Fix overriding of package (#145 <https://github.com/ros-controls/control_toolbox/issues/145>)
  * Various dependabot version bumps
  * [CI] Add dependabot configuration to automatically update actions.
  * Contributors: Christoph Fröhlich, Dr. Denis, Tyler Weaver, dependabot[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-foxy-control-toolbox (2.1.2-1focal) focal; urgency=high

  * export missing dependency (#128 <https://github.com/ros-controls/control_toolbox/issues/128>)
  * Contributors: Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Nov 2022 00:00:00 -0000

ros-foxy-control-toolbox (2.1.1-1focal) focal; urgency=high

  * Add declaration of parameters in ROSPid.
  * Fix namespace collision and parameter_callback problems in PidROS
  * Contributors: Aris Synodinos, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Nov 2022 00:00:00 -0000

ros-foxy-control-toolbox (2.1.0-1focal) focal; urgency=high

  * Fix parameter loading log levels
  * Support pass in a precomputed derivative error
  * Add getParametersCallbackHandle function
  * Add topic_prefix_ to declareParam & setParameter
  * Update include/control_toolbox/dither.hpp
  * Correct contributing and license files for ament_copyright.
  * Added license text file and contributing guidelines, corrected license short identifier.
  * Remove build of downstream workspace.
  * Update CI config and add pre-commit-config.
  * Contributors: Bence Magyar, ChenJun, Denis Štogl, Timon Engelke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jun 2022 23:00:00 -0000

ros-foxy-control-toolbox (2.0.2-1focal) focal; urgency=high

  * remove unused variables
  * Update visibility_control.hpp
  * Windows bringup.
  * Contributors: Karsten Knese, Sean Yen, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 May 2021 23:00:00 -0000

ros-foxy-control-toolbox (2.0.1-1focal) focal; urgency=high

  * Fix dependencies
  * Export ament_cmake build type
  * Contributors: ahcorde

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Jul 2020 23:00:00 -0000

ros-foxy-control-toolbox (2.0.0-1focal) focal; urgency=high

  * Refactor the Pid class to be completely ROS agnostic and added a ROS 2 wrapper
  * Avoid crash when the type of the parameter doesn't match
  * Added topic_prefix to publisher topic name (#95 <https://github.com/ros-controls/control_toolbox/issues/95>)
  * Created a shared library (#93 <https://github.com/ros-controls/control_toolbox/issues/93>)
  * Aliases not part of the public API are now private
  * Removing pid_gains_setter
  * Removed unnecessary dependencies
  * Cleared empty non virtual destructors
  * Removed unused limited proxy variables
  * Added pid state real-time publisher
  * Removed all references to tinyxml
  * Removed tune_pid.py
  * Adding missing copyright licenses
  * Adapted dither, sine_sweep and sinusoid to ROS2
  * Removed dynamic reconfigure completely
  * Removed deprecated functions
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, James Xu, Jordan Palacios, Shane Loretz, ahcorde

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jul 2020 23:00:00 -0000

ros-foxy-control-toolbox (1.17.0-1focal) focal; urgency=high

  * update anti windup clamping
  * update negativeIntegrationAntiwindupTest
  * Address catkin_lint issues
  * Add executable flag
  * convert to package xml format 2
  * Remove doc header
  * Contributors: Bence Magyar, Cong, Gennaro Raiola

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 31 Jan 2019 00:00:00 -0000

ros-foxy-control-toolbox (1.16.0-1focal) focal; urgency=high

  * switched to industrial_ci
  * Add control_msgs to CATKIN_DEPENDS.
  * Contributors: Bence Magyar, Mathias Luedtke, Mike Purvis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 30 Nov 2017 00:00:00 -0000

ros-foxy-control-toolbox (1.15.0-1focal) focal; urgency=high

  * avoid ABI breaks in PID class
  * fix add_dependencies call
  * rollback API changes in PID class
  * cfg: removed rosbuild support related error handling
  * Contributors: Bence Magyar, Igor Napolskikh, ipa-mig

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jun 2016 23:00:00 -0000

ros-foxy-control-toolbox (1.14.0-1focal) focal; urgency=high

  * Fix negative gains issue and add tests; update gains setting through DynamicReconfig
  * Add antiwindup and tests to PID controller; rename old behaviour 'clamping'
  * Move message to control_toolbox
  * Add optional state publishing to PID controller, for logging/debugging/etc
  * Fix some typos in comments
  * changed the range of dynamic reconfigure to allow negative ones
  * Address -Wunused-parameter warnings
  * Factor out updatePid as negative calls to computeCommand
  * Increasing covergae of PID class test suite.
  * Chain calls of computeCommand and updatePid for code reuse
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Bence Magyar, Carlos Rosales, Guillaume Walck, Paul Bovbel, VahidAminZ

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-foxy-control-toolbox (1.13.2-1focal) focal; urgency=high

  * CRITICAL BUGFIX: Fix broken PID command computation.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 May 2015 23:00:00 -0000

ros-foxy-control-toolbox (1.13.1-1focal) focal; urgency=high

  * Improvement in integral contribution implementation. Resolve #32 <https://github.com/ros-controls/control_toolbox/issues/32>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Carlos Rosales

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Apr 2015 23:00:00 -0000

ros-foxy-control-toolbox (1.13.0-1focal) focal; urgency=high

  * Harmonize pid gain names between rosparam and dynamic_reconfigure

