=== debian/control ===
Source: ros-foxy-control-toolbox
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-control-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle <!nocheck>, ros-foxy-rcutils, ros-foxy-realtime-tools, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/control_toolbox
Standards-Version: 3.9.2

Package: ros-foxy-control-toolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-control-msgs, ros-foxy-rclcpp, ros-foxy-rcutils, ros-foxy-realtime-tools, ros-foxy-ros-workspace
Description: The control toolbox contains modules that are useful across all controllers.
